Mengatasi Error phpize: not found di Ubuntu dan Debian

Kamis, 07 Februari 2019

Mengatasi Error phpize: not found di Ubuntu dan Debian. Beberapa waktu lalu saya mengalami error ketika ingin menginstall ekstensi apcu untuk php-fpm. Ketika saya menginstallnya dengan perintah pecl, terdapat error berikut:


.....
running: phpize
sh: 1: phpize: not found
ERROR: `phpize' failed
.....

Nah usut punya usut ternyata masalah tersebut muncul karena saat melakukan upgrade OS, phpize dari OS versi sebelumnya terhapus. Paket phpize sendiri sebenarnya digunakan untuk melakukan compile ekstensi php sehingga paket tersebut sudah include di paket php-dev.

Untuk installnya cukup mudah, jalankan perintah
sudo apt update
sudo apt install php7.3-dev

Sesuaikan sendiri versi PHP nya ya. Seharusnya sekarang saat kalian menjalankan perintah instalasi dengan pecl tidak akan menemukan error lagi.

Oke sekian tutorial singkat kali ini semoga bermanfaat. Jika ada yang ingin ditanyakan silahkan komentar.

Artikel Terkait Debian ,Fix Error ,PHP ,Ubuntu